import { getOptions, getColumns, hasFooter } from '../core';
import { setupCanvas } from '../draw';
import { setupEvents } from '../events';
import { OPTIONS } from './config';
import { calcData } from './helpers';
import { draw } from './draw';
export function createBarChart(canvas, data, options = {}) {
    const custom = Object.assign(Object.assign({}, OPTIONS), options);
    const values = data
        .map(item => item.values)
        .reduce((res, current) => [...res, ...current], []);
    const opt = getOptions(canvas, custom, values, hasFooter(data));
    setupCanvas(canvas, opt.ratio);
    const paths = calcData(data, opt);
    const params = { canvas, drawData: paths, options: opt, columns: getColumns(data) };
    draw(params);
    return setupEvents(params, draw, () => ({
        items: paths,
        fill: () => opt.hoverColor,
    }));
}
//# sourceMappingURL=index.js.map