import { IDrawBarData, ICanvas, IEdges, IGeometry, IRowOptions, IBarOptions, IHoverData, IEventHandlers, IHoverOptions } from '../types';
export interface IBarChartData {
    id: string;
    values: ReadonlyArray<number>;
    label?: string;
}
export declare type IBarData = IDrawBarData<IBarChartData>;
export declare type BarChartClickHandler = (data: Readonly<IBarChartData>) => void;
export declare type BarChartHoverHandler = (value?: IHoverData<Readonly<IBarChartData>>) => void;
declare type EventHandlers = IEventHandlers<BarChartClickHandler, BarChartHoverHandler>;
export declare type IBarChartOptions = ICanvas & EventHandlers & IHoverOptions & Partial<IEdges> & IRowOptions & IBarOptions;
export declare type IOptions = IBarChartOptions & IGeometry;
export {};
