import { IDrawData, IDrawBarData, IParams, IPoint, IDrawLevelOptions, IDrawBarOptions, IDrawLineOptions } from './types';
export declare function setupCanvas(canvas: HTMLCanvasElement, ratio: number): void;
export declare function clearCanvas(canvas: HTMLCanvasElement, width: number, height: number): void;
export declare function drawLabel(ctx: CanvasRenderingContext2D, skeleton: boolean | undefined, value: number, x: number, y: number, w: number, h: number): void;
export declare function setRowStyle<O extends IDrawLevelOptions>(params: IParams<any, O>, isFooter?: boolean): void;
export declare function drawRows<O extends IDrawLevelOptions>(params: IParams<any, O>): IParams<any, O>;
export declare function drawChartFill<P extends IDrawData & IPoint, O extends IDrawLineOptions>(params: IParams<P, O>): IParams<P, O>;
export declare function drawChartLine<P extends IDrawData & IPoint, O extends IDrawLineOptions>(params: IParams<P, O>): IParams<P, O>;
export declare function drawBars<P extends IDrawBarData, O extends IDrawBarOptions>(skipLeft?: number): (params: IParams<P, O>) => IParams<P, O>;
export declare function drawFooter<O extends IDrawLevelOptions>(params: IParams<any, O>): IParams<any, O>;
