import { IPoint, IDrawBarData, ICanvas, IHoverData, IEventHandlers, IHoverOptions, IRowOptions, ILineOptions, IBarOptions, IEdges, IGeometry } from '../types';
export interface ILineBarData {
    id: string;
    value: number;
    bars: ReadonlyArray<number>;
    label?: string;
}
export declare type IData = IDrawBarData<ILineBarData> & IPoint;
export declare type LineChartClickHandler = (data: Readonly<ILineBarData>) => void;
export declare type LineChartHoverHandler = (value?: IHoverData<Readonly<ILineBarData>>) => void;
declare type EventHandlers = IEventHandlers<LineChartClickHandler, LineChartHoverHandler>;
export declare type ILineBarOptions = ICanvas & EventHandlers & IHoverOptions & Partial<IEdges> & IRowOptions & ILineOptions & IBarOptions;
export declare type IOptions = ILineBarOptions & IGeometry;
export {};
