import { getOptions, getColumns, hasFooter } from '../core';
import { setupCanvas } from '../draw';
import { setupEvents } from '../events';
import { OPTIONS } from './config';
import { calcPoints } from './helpers';
import { draw } from './draw';
export function createLineChart(canvas, data, options = {}) {
    const custom = Object.assign(Object.assign({}, OPTIONS), options);
    const values = data.map(item => item.value);
    const opt = getOptions(canvas, custom, values, hasFooter(data));
    setupCanvas(canvas, opt.ratio);
    const paths = calcPoints(data, opt);
    const params = {
        canvas,
        drawData: paths,
        options: opt,
        columns: getColumns(data.slice(1)),
    };
    draw(params);
    return setupEvents(params, draw, () => ({
        items: paths.slice(1, paths.length - (opt.hoverType === 'point' ? 1 : 0)),
        fill: () => opt.hoverColor,
    }));
}
//# sourceMappingURL=index.js.map