import { IDrawData, ICanvas, IPoint, IEdges, IGeometry, IRowOptions, IHoverData, IEventHandlers, IHoverOptions, ILineOptions } from '../types';
export interface ILineChartData {
    id: string;
    value: number;
    label?: string;
}
export declare type ILineData = IDrawData<ILineChartData> & IPoint;
export declare type LineChartClickHandler = (data: Readonly<ILineChartData>) => void;
export declare type LineChartHoverHandler = (value?: IHoverData<Readonly<ILineChartData>>) => void;
declare type EventHandlers = IEventHandlers<LineChartClickHandler, LineChartHoverHandler>;
export declare type ILineChartOptions = ICanvas & EventHandlers & IHoverOptions & Partial<IEdges> & IRowOptions & ILineOptions & {
    hoverType: 'point' | 'segment';
};
export declare type IOptions = ILineChartOptions & IGeometry;
export {};
