import { setupEvents } from '../events';
import { OPTIONS } from './config';
import { adjustColor, calc, draw } from './helpers';
export function createPieChart(canvas, data, options = {}) {
    const opt = Object.assign(Object.assign({}, OPTIONS), options);
    canvas.width = opt.size * opt.ratio;
    canvas.height = opt.size * opt.ratio;
    canvas.getContext('2d').scale(opt.ratio, opt.ratio);
    const paths = calc(data, opt);
    const params = { canvas, drawData: paths, options: opt };
    draw(params);
    return setupEvents(params, draw, () => ({
        items: paths,
        fill: (color = '#000000') => adjustColor(color, 10),
    }));
}
//# sourceMappingURL=index.js.map